- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Properties | Friends

# QButtonGroup Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qbuttongroup.h.

`#include <qbuttongroup.h>`

Inheritance diagram for QButtonGroup:
[legend]

List of all members.

## Signals
void | buttonClicked (QAbstractButton *)
void | buttonClicked (int)
void | buttonPressed (QAbstractButton *)
void | buttonPressed (int)
void | buttonReleased (QAbstractButton *)
void | buttonReleased (int)
## Public Member Functions
| QButtonGroup (QObject *parent=0)
| ~QButtonGroup ()
void | setExclusive (bool)
bool | exclusive () const
void | addButton (QAbstractButton *)
void | addButton (QAbstractButton *, int id)
void | removeButton (QAbstractButton *)
QList< QAbstractButton * > | buttons () const
QAbstractButton * | checkedButton () const
QAbstractButton * | button (int id) const
void | setId (QAbstractButton *button, int id)
int | id (QAbstractButton *button) const
int | checkedId () const
## Properties
bool | exclusive
## Friends
class | QAbstractButton
class | QAbstractButtonPrivate

## Constructor & Destructor Documentation

QButtonGroup | ( | QObject * | parent = `0` | ) | `[explicit]`

~QButtonGroup | ( |  | ) |

## Member Function Documentation

void setExclusive | ( | bool |  | ) |

Search for all occurrences

bool exclusive | ( |  | ) | const

Search for all occurrences

void addButton | ( | QAbstractButton * |  | ) |

Search for all occurrences

void addButton | ( | QAbstractButton * | ,
|  | int | id
| ) |  |

Search for all occurrences

void removeButton | ( | QAbstractButton * |  | ) |

Search for all occurrences

QList<QAbstractButton*> buttons | ( |  | ) | const

Search for all occurrences

QAbstractButton* checkedButton | ( |  | ) | const

Search for all occurrences

QAbstractButton* button | ( | int | id | ) | const

Search for all occurrences

void setId | ( | QAbstractButton * | button,
|  | int | id
| ) |  |

Search for all occurrences

int id | ( | QAbstractButton * | button | ) | const

Search for all occurrences

int checkedId | ( |  | ) | const

Search for all occurrences

void buttonClicked | ( | QAbstractButton * |  | ) | `[signal]`

Search for all occurrences

void buttonClicked | ( | int |  | ) | `[signal]`

Search for all occurrences

void buttonPressed | ( | QAbstractButton * |  | ) | `[signal]`

Search for all occurrences

void buttonPressed | ( | int |  | ) | `[signal]`

Search for all occurrences

void buttonReleased | ( | QAbstractButton * |  | ) | `[signal]`

Search for all occurrences

void buttonReleased | ( | int |  | ) | `[signal]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QAbstractButton `[friend]`

Search for all occurrences

Definition at line 102 of file qbuttongroup.h.

friend class QAbstractButtonPrivate `[friend]`

Search for all occurrences

Definition at line 103 of file qbuttongroup.h.

## Property Documentation

bool exclusive `[read, write]`

Search for all occurrences

Definition at line 63 of file qbuttongroup.h.

The documentation for this class was generated from the following file:

- QtGui/qbuttongroup.h

QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup
QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup QButtonGroup